## NAME

g.gui.photo2image - Corrects scanning distortions of a paper photo.

## KEYWORDS

imagery, GUI, aerial, photo, georectification, geometry, GCP

## SYNOPSIS

g.gui.photo2image
g.gui.photo2image --help
g.gui.photo2image group=name raster=name camera=string order=string extension=string [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

group=name [required]
  Name of input imagery group
raster=name [required]
  Name of input raster map
camera=string [required]
  The name of the camera (generated in i.ortho.camera)
  The name of the camera (generated in i.ortho.camera)
order=string [required]
  The rectification order (no of Fiducial=4 -> order=1, no of Fiducial=8 -> order=2)
  The rectification order (no of Fiducial=4 -> order=1, no of Fiducial=8 -> order=2)
  Default: 1
extension=string [required]
  The name of the output files extension (used in i.rectify)
  The name of the output files extension (used in i.rectify)
  Default: _ip2i_out

## DESCRIPTION

This module is based on g.gui.gcp, the GCP manager of GRASS GIS. It is part of i.ortho.photo suite.

The aim of this module is to give absolute location values to the fiducial points present (in number of 4 or 8) in a scanned aerial photo.

This is necessary as (manual) scanning introduces distortions, rotations and also may not be limited to scan the boundary of the photo itself. It is thus necessary to give to each fiducial the exact coordinates in mm as given by the aerial photographic instrument design, which is unique per camera.

This module requires you to have made a group with your aerial photo (i.group), a camera description file (i.ortho.target) and use them to launch the module. Additional requirements are the order of rectification (1 if no of Fiducials is 4, 2 if no of Fiducials is 8) and an extension file (if not given, defaults to \$filename_ip2i_out)

An example for Location imagery60:

    g.gui.photo2image group=aerial@PERMANENT raster=gs13.1@PERMANENT camera=gscamera order=2 extension=try --o

### Screenshot of g.gui.photo2image

Figure: Screenshot of g.gui.photo2image

## For a detailed operation manual please read

wxGUI
wxGUI components

See also video tutorials on GRASS Wiki.

## SEE ALSO

i.ortho.photo, i.group, i.ortho.camera, i.ortho.target, i.rectify, m.transform, v.rectify

## AUTHORS

Markus Metz
Based on the Georectifier (GRASS 6.4.0) by Michael Barton
Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: wxGUI GCP Manager for photo to image registration source code (history)

Accessed: unknown

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual